device='1'
model='instructblip_7B'
# dimensions=("privacy" "bias" "toxicity" "hallucination" "legality")
dimensions='adversarial'
validate_dataset='POPE_coco'

num_heads_list=(16 24 32 40 48 56)
alpha_list=(3 5 7)
# alpha_list=(3 5 7 9)
# num_heads_list=(24)
# alpha_list=(15 20 25 30)

for num_head in "${num_heads_list[@]}"; do
  # 内层循环
    for alpha in "${alpha_list[@]}"; do
        echo $num_head $alpha
        subfix="_${num_head}_${alpha}_train_I+Q;C_p2+Q_best_end31"
        python eval/pope_eval.py --model $model \
                        --dimensions $dimensions \
                        --log_file "logs/evaluate-${category}_${model}.log" \
                        --device $device \
                        --validate_dataset $validate_dataset \
                        --subfix $subfix
    done
done